%bcond_without check

%global goipath         github.com/containerd/fuse-overlayfs-snapshotter
Version:                1.0.4

%gometa

%global goaltipaths     github.com/AkihiroSuda/containerd-fuse-overlayfs

%global godevelheader %{expand:
Provides:     golang-github-akihirosuda-containerd-fuse-overlayfs-devel = %{version}-%{release}
}

%global common_description %{expand:
Fuse-overlayfs plugin for rootless containerd.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:    1%{?dist}
Summary:        Fuse-overlayfs plugin for rootless containerd

License:        Apache-2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        vendor.tar.gz

%description %{common_description}

%gopkg

%prep
%goprep
tar -xzf %{SOURCE1}

%generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%gocheck
%endif

%files
%license LICENSE
%doc README.md
%{_bindir}/containerd-fuse-overlayfs-grpc

%gopkgfiles

%changelog
* Mon Sep 09 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.4-1
- initial build
